import React, { Component } from 'react';
import { TouchableOpacity, StyleSheet, View, Text } from 'react-native';
import { Navigator } from 'react-native-deprecated-custom-components';
import ButtonComponent from 'react-native-button-component';
import { ActionSheet, ActionSheetItem } from 'react-native-action-sheet-component';

const styles = StyleSheet.create({
  navigationBar: {
    borderBottomColor: '#b5b5b5',
    borderBottomWidth: 0.5,
    backgroundColor: '#ffffff',
  },
  navigationTitle: {
    padding: 10,
  },
  navigationButton: {
    padding: 10,
  },
  navigationLeftButton: {
    paddingLeft: 20,
    paddingRight: 40,
  },
  navigator: {
    flex: 1,
    backgroundColor: '#000000',
  },
});

export default class EXNavigator extends Component {
  constructor(props) {
    super(props);

    this.state = {
      buttonState: 'upload',
    };
  }

  showActionSheet = () => {
    this.actionSheet.show();
  }

  configureScene() {
    return Navigator.SceneConfigs.FloatFromRight;
  }

  renderScene = (route, navigator) => (
    <View style={{ flex: 1, alignItems: 'center', justifyContent: 'center', paddingLeft: 10, paddingRight: 10, backgroundColor: 'red' }}>
      <ButtonComponent
        text={'Icon Buttons'.toUpperCase()}
        onPress={() => {

        }}
      />
    </View>
    )

  render() {
    const navigationBar = (
      <Navigator.NavigationBar
        style={styles.navigationBar}
        routeMapper={{
          LeftButton: (route, navigator, index) => (
            <TouchableOpacity
              style={[styles.navigationButton, styles.navigationLeftButton]}
              onPress={this.showActionSheet}
            >
              <Text>
                Options
              </Text>
            </TouchableOpacity>
            ),
          RightButton: () => null,
          Title: route => (
            <Text style={styles.navigationTitle}>
              {route.title}
            </Text>
          ),
        }}
      />
    );

    return (
      <View style={{ flex: 1 }}>
        <Navigator
          initialRoute={{
            name: 'index',
            title: 'Button Explorer',
          }}
          navigationBar={navigationBar}
          renderScene={this.renderScene}
          configureScene={this.configureScene}
          style={styles.navigator}
        />

        <ActionSheet
          ref={(actionSheet) => { this.actionSheet = actionSheet; }}
          position="bottom"
          onChange={this.onChange}
          showSelectedIcon={false}
        >
          <ActionSheetItem
            text="1"
            value="1"
            onPress={this.onItemPress}
          />
          <ActionSheetItem
            text="2"
            value="2"
            onPress={this.onItemPress}
          />
          <ActionSheetItem
            text="3"
            value="3"
            onPress={this.onItemPress}
          />
          <ActionSheetItem
            text="4"
            value="4"
            onPress={this.onItemPress}
          />
        </ActionSheet>
      </View>
    );
  }
}
